import { jsx } from "react/jsx-runtime";
import { TokenKITTY as TokenKITTY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenKITTY = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "KITTY", "data-name": "TokenKITTY", ...props, children: /* @__PURE__ */ jsx(TokenKITTY$1, { variant }) });
  }
);
TokenKITTY.displayName = "TokenKITTY";
Object.assign(TokenKITTY, { isGdsIcon: true });
export {
  TokenKITTY
};
